Subject: bug#9087: Crash reading from minibuffer with icomplete-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jan 2012 14:21:30 +0200

> Date: Sat, 07 Jan 2012 12:51:57 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked], 
>  [email-masked], [email-masked]
> 
>  > You can verify yourself that, in Emacs without
>  > the patch I sent, typing C-g when triggerbug.el says "now!" does not
>  > cause a crash, but a "Quit", albeit a slightly (by 1-2 seconds on my
>  > box) delayed one.
> 
> Because `signal' resets immediate_quit to zero?

You mean, as explanation of the delay?  No, I don't think so.  I think
Emacs simply doesn't see C-g until the lengthy calculation is over.